Support > Forums > OpenBots Studio > Gallery Commands

Gallery Commands

Akesh John Koshy

  • Reporter
  • Calender Icon June 02,2021 at 5:16 AM

I am not able to update the commands to V1.5 in Studio . The gallery seems to be not responding while trying to update the commands. i even tried to download the commands from the Gallery direct itsel1f but failed. i have lot of broken codes in my code and not even able to update it.is anyone aware of this issue ?Waiting for a response .Thanks in Advance

This forum has 172 topics, 459 replies, and was last updated an hour ago by Poornima Malv

Akesh John Koshy

  • Participant
  • Calender Icon June 05,2021 at 11:26 AM

its working now ! Thanks for the Help ! @Nataly

Nataly Alvarado

  • Participant
  • Calender Icon June 03,2021 at 9:02 PM

Hello Akesh,

Thanks for the follow up information. Our development team investigated the issue, and was able to correct it. Please, note that the database commands are not part of the default packages. However, you should now be able to install them through Gallery from Studio's Package Manager (make sure the command version matches the Studio version when installing any packages)

Please, let me know if the package installation is successful.

Akesh John Koshy

  • Participant
  • Calender Icon June 02,2021 at 8:36 PM

Hi Nataly

Thanks for the response �OpenBots.Commands.Database� is missing from my command list . when i tried to install it form the package manager.it shows installing OpenBots.Commands.Database.1.5.0 for long time and nothing really happens after that , the package manager closes automatically . but the command is not installed. i tried to download the package directly from the Gallery website and even that also fails.

Nataly Alvarado

  • Participant
  • Calender Icon June 02,2021 at 7:27 PM

Hello Akesh,

Based on the information shared, could you please mention what command groups are missing from your command list? Also, you mentioned that you tried downloading the missing 1.5 command groups from Gallery. Could you please share what happens when attempting the installation?

Thanks in advance! this information will really help us pinpoint the issue.

Akesh John Koshy

  • Participant
  • Calender Icon June 02,2021 at 6:15 PM

Hi Nataly Thanx for the response. I dont have issues in converting the projects. i have attached the contents of the Project.obconfig

The issue is that on conversion certain commands are missing and i tried to install the missing commands from the gallery but unfortunately couldn't succeed in it

Where you prompted to convert your scripts when you opened them on Studio? yes i got a prompt and the file got converted � Is there a particular command group that is not converted? command groups are missing � If you check the project.obconfig file, what versions are listed for the project and dependencies?

content of Project.obscript file before converting i.e the version is 1.4

{"ProjectID":"756a6ef7-cafd-40df-adf5-e6de156bd8db","ProjectName":"Test","ProjectType":"OpenBots","Main":"Main.obscript","Version":"1.4.0.0","Dependencies":{"OpenBots.Commands.Core":"1.4.0","OpenBots.Commands.Database":"1.4.0","OpenBots.Commands.DataManipulation":"1.4.0","OpenBots.Commands.Microsoft":"1.4.0","OpenBots.Commands.SystemAutomation":"1.4.0","OpenBots.Commands.UIAutomation":"1.4.0","OpenBots.Server.SDK":"1.5.0"}}

as requested this content of the Project.obscript file when converted to v1.5,

{"ProjectID":"756a6ef7-cafd-40df-adf5-e6de156bd8db","ProjectName":"Test","ProjectType":"OpenBots","Main":"Main.obscript","Version":"1.5.0.0","ProjectArguments":[{"ArgumentName":"VTEST","ArgumentType":"System.String, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089","ArgumentValue":"","Direction":0}],"Dependencies":{"OpenBots.Commands.Core":"1.5.0","OpenBots.Commands.DataManipulation":"1.5.0","OpenBots.Commands.Microsoft":"1.5.0","OpenBots.Commands.SystemAutomation":"1.5.0","OpenBots.Commands.UIAutomation":"1.5.0"}}

Nataly Alvarado

  • Participant
  • Calender Icon June 02,2021 at 5:22 PM

Hi Akesh,

we are sorry to hear you are facing issues converting your projects. Please, share the following information:

  • Where you prompted to convert your scripts when you opened them on Studio?
  • Is there a particular command group that is not converted?
  • If you check the project.obconfig file, what versions are listed for the project and dependencies?

You are not authorized to reply, please click here to login and add your reply to this topic.